## prelude-failover

prelude-failover —

## Synopsis

    typedef     prelude_failover_t;
    void        prelude_failover_destroy        (prelude_failover_t *failover);
    int         prelude_failover_new            (prelude_failover_t **ret,
                                                 const char *dirname);
    void        prelude_failover_set_quota      (prelude_failover_t *failover,
                                                 size_t limit);
    int         prelude_failover_save_msg       (prelude_failover_t *failover,
                                                 prelude_msg_t *msg);
    ssize_t     prelude_failover_get_saved_msg  (prelude_failover_t *failover,
                                                 prelude_msg_t **out);
    unsigned long prelude_failover_get_deleted_msg_count
                                                (prelude_failover_t *failover);
    unsigned long prelude_failover_get_available_msg_count
                                                (prelude_failover_t *failover);

## Description

## Details

### prelude_failover_t

    typedef struct prelude_failover prelude_failover_t;

### prelude_failover_destroy ()

    void        prelude_failover_destroy        (prelude_failover_t *failover);

`failover` : |

### prelude_failover_new ()

    int         prelude_failover_new            (prelude_failover_t **ret,
                                                 const char *dirname);

`ret` : |
`dirname` : |
Returns : |

### prelude_failover_set_quota ()

    void        prelude_failover_set_quota      (prelude_failover_t *failover,
                                                 size_t limit);

`failover` : |
`limit` : |

### prelude_failover_save_msg ()

    int         prelude_failover_save_msg       (prelude_failover_t *failover,
                                                 prelude_msg_t *msg);

`failover` : |
`msg` : |
Returns : |

### prelude_failover_get_saved_msg ()

    ssize_t     prelude_failover_get_saved_msg  (prelude_failover_t *failover,
                                                 prelude_msg_t **out);

`failover` : |
`out` : |
Returns : |

### prelude_failover_get_deleted_msg_count ()

    unsigned long prelude_failover_get_deleted_msg_count
                                                (prelude_failover_t *failover);

`failover` : |
Returns : |

### prelude_failover_get_available_msg_count ()

    unsigned long prelude_failover_get_available_msg_count
                                                (prelude_failover_t *failover);

`failover` : |
Returns : |